Game Develop Core: gd::SkinHelper Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Static Public Member Functions | List of all members
gd::SkinHelper Class Reference
IDE Classes ( Classes to be used to implement a development environment )

Provide tool functions to easily apply the current skin or theme to controls supporting it. More...

`#include <SkinHelper.h>`

## Static Public Member Functions

static void | ApplyCurrentSkin (wxRibbonBar &bar)
| Customize the appearance of a wxRibbonBar.
static void | ApplyCurrentSkin (wxAuiManager &auiManager)
| Customize the appearance of a wxAuiManager.
static void | ApplyCurrentSkin (wxAuiNotebook &notebook, bool subnotebook=false)
| Customize the appearance of a wxAuiNotebook. More...
static void | ApplyCurrentSkin (wxAuiToolBar &toolbar)
| Customize the appearance of a wxAuiToolBar.
static void | ApplyCurrentSkin (wxPropertyGrid &propertyGrid)
| Customize the appearance of a wxPropertyGrid.
static wxBitmap | GetRibbonIcon (wxString iconName)
| Get an icon for the ribbon. More...
static wxBitmap | GetIcon (wxString iconName, unsigned int size)
| Get an icon for the interface. More...
static bool | IconExists (wxString iconName, unsigned int size)
| Check if an icon exists. More...
static void | ClearIconCache ()

## Detailed Description

Provide tool functions to easily apply the current skin or theme to controls supporting it.

The skin are loaded from the configuration stored thanks to wxConfigBase. If you use a control supported by one of ApplyCurrentSkin function, you should call it on your control after it has been created.

## Member Function Documentation

void gd::SkinHelper::ApplyCurrentSkin | ( | wxAuiNotebook & | notebook,
|  | bool | subnotebook = `false`
| ) |  |

static

Customize the appearance of a wxAuiNotebook.

Parameters

  notebook | The notebook to be skinned.
  subnotebook | If set to true, the notebook will be considered as being the child of another, so that its background won't have a gradient.

void gd::SkinHelper::ClearIconCache | ( | ) |  |

static

Clear the cache created when calling GetIcon.

Should be called before application shutdown. Note that the cache will be recreated if there is a call to wxSkinHelper::GetIcon

wxBitmap gd::SkinHelper::GetIcon | ( | wxString | iconName,
|  | unsigned int | size
| ) |  |

static

Get an icon for the interface.

The icon is searched in res/icons_[skinName]/[iconName][size].png with 'SkinName' being the name of the selected skin for the ribbon icons. If no such directory or file exists, res/icons_default/[iconName].png is used.

Icons are cached after being loaded.

See Also
  wxSkinHelper::ClearIconCache
  wxSkinHelper::IconExists

wxBitmap gd::SkinHelper::GetRibbonIcon | ( | wxString | iconName) |  |

static

Get an icon for the ribbon.

The icon is searched in res/ribbon_[skinName]/[iconName]24.png with 'SkinName' being the name of the selected skin for the ribbon icons. If no such directory or file exists, res/ribbon_default/[iconName].png is used.

bool gd::SkinHelper::IconExists | ( | wxString | iconName,
|  | unsigned int | size
| ) |  |

static

Check if an icon exists.

The icon is searched in res/icons_[skinName]/[iconName][size].png with 'SkinName' being the name of the selected skin for the ribbon icons. If no such directory or file exists, res/icons_default/[iconName].png is used. If it does not exist, false is returned.

See Also
  wxSkinHelper::GetIcon

The documentation for this class was generated from the following files:

- SkinHelper.h
- SkinHelper.cpp